For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get information for a single metric group from the specific project.
LaunchDarkly supports two fields for expanding the “Get metric group” response. By default, these fields are not included in the response.
To expand the response, append the expand query parameter and add a comma-separated list with either or both of the following fields:
experiments includes all experiments from the specific project that use the metric groupexperimentCount includes the number of experiments from the specific project that use the metric groupFor example, expand=experiments includes the experiments field in the response.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/metric-groups/{metricGroupKey} \
--header 'Authorization: <api-key>'{
"_id": "bc3e5be1-02d2-40c7-9926-26d0aacd7aab",
"key": "metric-group-key-123abc",
"name": "My metric group",
"kind": "funnel",
"_links": {
"parent": {
"href": "/api/v2/projects/my-project",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/my-project/metric-groups/my-metric-group",
"type": "application/json"
}
},
"tags": [
"ops"
],
"_creationDate": "1628192791148",
"_lastModified": "1628192791148",
"maintainer": {
"member": {
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"_id": "569f183514f4432160000007",
"role": "admin",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"team": {
"customRoleKeys": [
"access-to-test-projects"
],
"key": "team-key-123abc",
"name": "QA Team",
"_links": {}
}
},
"metrics": [
{
"key": "metric-key-123abc",
"name": "Example metric",
"kind": "custom",
"_links": {
"self": {
"href": "/api/v2/metrics/my-project/my-metric",
"type": "application/json"
}
},
"_versionId": "version-id-123abc",
"isNumeric": true,
"unitAggregationType": "sum",
"eventKey": "event-key-123abc",
"nameInGroup": "Step 1",
"randomizationUnits": [
"user"
]
}
],
"_version": 1,
"description": "Description of the metric group",
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"experiments": [
{
"key": "experiment-key-123abc",
"name": "Example experiment",
"environmentId": "1234a56b7c89d012345e678f",
"environmentKey": "production",
"creationDate": "1654104600000",
"_links": {
"parent": {
"href": "/api/v2/projects/my-project/environments/my-environment",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/my-project/environments/my-environment/experiments/example-experiment",
"type": "application/json"
}
},
"archivedDate": "1654104600000"
}
],
"experimentCount": 0,
"activeExperimentCount": 0,
"activeGuardedRolloutCount": 0
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The metric group key
A comma-separated list of properties that can reveal additional information in the response.
Metric group response
The ID of this metric group
"bc3e5be1-02d2-40c7-9926-26d0aacd7aab"
A unique key to reference the metric group
"metric-group-key-123abc"
A human-friendly name for the metric group
"My metric group"
The type of the metric group
funnel, standard "funnel"
The location and content type of related resources
Show child attributes
{
"parent": {
"href": "/api/v2/projects/my-project",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/my-project/metric-groups/my-metric-group",
"type": "application/json"
}
}Tags for the metric group
["ops"]Timestamp of when the metric group was created
"1628192791148"
Timestamp of when the metric group was last modified
"1628192791148"
The maintainer of this metric
Show child attributes
An ordered list of the metrics in this metric group
Show child attributes
The version of this metric group
1
Description of the metric group
"Description of the metric group"
Details on the allowed and denied actions for this metric group
Show child attributes
Experiments that use this metric group. Only included if specified in the expand query parameter in a getMetricGroup request.
Show child attributes
The number of experiments using this metric group
0
The number of active experiments using this metric group
0
The number of active guarded rollouts using this metric group
0
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/metric-groups/{metricGroupKey} \
--header 'Authorization: <api-key>'{
"_id": "bc3e5be1-02d2-40c7-9926-26d0aacd7aab",
"key": "metric-group-key-123abc",
"name": "My metric group",
"kind": "funnel",
"_links": {
"parent": {
"href": "/api/v2/projects/my-project",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/my-project/metric-groups/my-metric-group",
"type": "application/json"
}
},
"tags": [
"ops"
],
"_creationDate": "1628192791148",
"_lastModified": "1628192791148",
"maintainer": {
"member": {
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"_id": "569f183514f4432160000007",
"role": "admin",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"team": {
"customRoleKeys": [
"access-to-test-projects"
],
"key": "team-key-123abc",
"name": "QA Team",
"_links": {}
}
},
"metrics": [
{
"key": "metric-key-123abc",
"name": "Example metric",
"kind": "custom",
"_links": {
"self": {
"href": "/api/v2/metrics/my-project/my-metric",
"type": "application/json"
}
},
"_versionId": "version-id-123abc",
"isNumeric": true,
"unitAggregationType": "sum",
"eventKey": "event-key-123abc",
"nameInGroup": "Step 1",
"randomizationUnits": [
"user"
]
}
],
"_version": 1,
"description": "Description of the metric group",
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"experiments": [
{
"key": "experiment-key-123abc",
"name": "Example experiment",
"environmentId": "1234a56b7c89d012345e678f",
"environmentKey": "production",
"creationDate": "1654104600000",
"_links": {
"parent": {
"href": "/api/v2/projects/my-project/environments/my-environment",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/my-project/environments/my-environment/experiments/example-experiment",
"type": "application/json"
}
},
"archivedDate": "1654104600000"
}
],
"experimentCount": 0,
"activeExperimentCount": 0,
"activeGuardedRolloutCount": 0
}